yandex-maps-wiki-tasks-export (1.25.6-0) unstable; urgency=low

  * Fixed primary key in ExportResult table in export.py

 -- Alexander Bobkov <alexbobkov@yandex-team.ru>  Mon, 29 May 2017 13:33:17 +0300

yandex-maps-wiki-tasks-export (1.25.5-0) unstable; urgency=low

  * support export multiple datasets

 -- Alexey Ponomarev <ponomarev@yandex-team.ru>  Fri, 26 May 2017 18:02:56 +0300

yandex-maps-wiki-tasks-export (1.25.4-0) unstable; urgency=low

  * Added validaton_export long task NMAPS-5428 CRCORE-13311

 -- Alexander Bobkov <alexbobkov@yandex-team.ru>  Wed, 26 Apr 2017 19:25:24 +0300

yandex-maps-wiki-tasks-export (1.25.3-0) unstable; urgency=low

  * masstransit2 export subset

 -- Vitaly Titov <uht@yandex-team.ru>  Wed, 05 Apr 2017 11:09:14 +0300

yandex-maps-wiki-tasks-export (1.25.2-0) unstable; urgency=low

  * tested flag into foreign mds

 -- Alexey Ponomarev <ponomarev@yandex-team.ru>  Tue, 31 Jan 2017 15:58:35 +0300

yandex-maps-wiki-tasks-export (1.25.1-0) unstable; urgency=low

  * Unified changing task and type parameters NMAPS-4424 CRCORE-11173

 -- Alexander Bobkov <alexbobkov@yandex-team.ru>  Fri, 21 Oct 2016 19:57:34 +0300

yandex-maps-wiki-tasks-export (1.25.0-0) unstable; urgency=low

  * Added tested flag to export task

 -- Alexander Bobkov <alexbobkov@yandex-team.ru>  Tue, 06 Sep 2016 11:24:09 +0300

yandex-maps-wiki-tasks-export (1.24.0-1) unstable; urgency=low

  * Fix dependencies

 -- Ilya Vlasiuk <tail@yandex-team.ru>  Thu, 25 Aug 2016 19:09:04 +0300

yandex-maps-wiki-tasks-export (1.24.0-0) unstable; urgency=low

  * Masstransit export submit

 -- Andrey Naplavkov <naplavkov@yandex-team.ru>  Mon, 18 Jan 2016 11:45:51 +0300

yandex-maps-wiki-tasks-export (1.23.0-0) unstable; urgency=low

  * NMAPS-2497 remove celery

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Thu, 05 Nov 2015 18:40:22 +0300

yandex-maps-wiki-tasks-export (1.22.1-0) unstable; urgency=low

  * Minor fix in import

 -- Mikhail Plotkin <miplot@yandex-team.ru>  Wed, 16 Sep 2015 11:18:43 +0300

yandex-maps-wiki-tasks-export (1.22.0-0) unstable; urgency=low

  * wiki export switched to grinder worker.

 -- Mikhail Plotkin <miplot@yandex-team.ru>  Fri, 28 Aug 2015 13:06:04 +0300

yandex-maps-wiki-tasks-export (1.21.3-0) unstable; urgency=low

  * fixed json2ymapsdf output log uri generation, fixed service attributes export

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Tue, 25 Aug 2015 18:08:51 +0300

yandex-maps-wiki-tasks-export (1.21.2-0) unstable; urgency=low

  * skip creating already existed json_backup_base_dir

 -- Alexey Ponomarev <ponomarev@yandex-team.ru>  Wed, 05 Aug 2015 14:50:12 +0300

yandex-maps-wiki-tasks-export (1.21.1-0) unstable; urgency=low

  * creating json_backup_base_dir on start

 -- Alexey Ponomarev <ponomarev@yandex-team.ru>  Tue, 04 Aug 2015 13:48:38 +0300

yandex-maps-wiki-tasks-export (1.21.0-0) unstable; urgency=low

  * added excluded_countries.txt
    and corresponding config parameter for export task
    export task copies the file into result dir and calculates md5

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Fri, 31 Jul 2015 21:43:13 +0300

yandex-maps-wiki-tasks-export (1.20.1-0) unstable; urgency=low

  * changed export dir name pattern to <date>_<task_id>_<branch>_<commit_id>
    according to https://st.yandex-team.ru/NMAPS-1883#1438275470000

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Fri, 31 Jul 2015 16:33:17 +0300

yandex-maps-wiki-tasks-export (1.20.0-0) unstable; urgency=low

  * generate md5 sums for exported files, don't put json on gluster
  * fixed: temporary schema properly dropped
  * proper unique dir name
  * at the end of the task move result dir to final location on gluster to publish it atomically

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Thu, 23 Jul 2015 21:48:32 +0300

yandex-maps-wiki-tasks-export (1.19.3-0) unstable; urgency=low

  * better error handling in tmp dir locking

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Fri, 24 Oct 2014 17:50:02 +0400

yandex-maps-wiki-tasks-export (1.19.2-0) unstable; urgency=low

  * check finished json passes for failed ones before accessing their duration

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Thu, 23 Oct 2014 18:12:48 +0400

yandex-maps-wiki-tasks-export (1.19.1-0) unstable; urgency=low

  * fixed TmpResourcesGuard.set_remove_schema

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Wed, 22 Oct 2014 22:14:39 +0400

yandex-maps-wiki-tasks-export (1.19.0-1) unstable; urgency=low

  * fixeds deps

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Wed, 22 Oct 2014 20:02:40 +0400

yandex-maps-wiki-tasks-export (1.19.0-0) unstable; urgency=low

  * cleanup temporary dirs and schemata on startup

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Wed, 22 Oct 2014 19:42:39 +0400

yandex-maps-wiki-tasks-export (1.18.0-0) unstable; urgency=low

  * write output of json2ymapsdf to file on gluster, NMAPS-416

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Fri, 03 Oct 2014 16:36:06 +0400

yandex-maps-wiki-tasks-export (1.17.0-1) unstable; urgency=low

  * fixed dependencies

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Tue, 23 Sep 2014 19:22:28 +0400

yandex-maps-wiki-tasks-export (1.17.0-0) unstable; urgency=low

  * actually limit the number or threads (revisionapi processes) used for json generation, NMAPS-396

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Tue, 23 Sep 2014 18:57:54 +0400

yandex-maps-wiki-tasks-export (1.16.0-0) unstable; urgency=low

  * use new json2ymapsdf
  * tool to run export task in development without celery

 -- Vitaly Titov <uht@yandex-team.ru>  Thu, 18 Sep 2014 20:47:02 +0400

yandex-maps-wiki-tasks-export (1.15.1-0) unstable; urgency=low

  * fixed wrong arg in call to postgre2dump; sorted export config keys in log

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Wed, 23 Oct 2013 18:51:46 +0400

yandex-maps-wiki-tasks-export (1.15.0-0) unstable; urgency=low

  * archiving and copying json in background, MAPSPRO-1039

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Tue, 22 Oct 2013 18:24:06 +0400

yandex-maps-wiki-tasks-export (1.14.0-0) unstable; urgency=low

  * use tar|pigz for archiving result

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Wed, 02 Oct 2013 20:11:51 +0400

yandex-maps-wiki-tasks-export (1.13.0-0) unstable; urgency=low

  * make child processes receive SIGTERM on parent's death;;

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Tue, 24 Sep 2013 18:56:12 +0400

yandex-maps-wiki-tasks-export (1.12.0-0) unstable; urgency=low

  * log stderr and stdout from tools to task logger; protection from duplicate tasks; CRCORE-1701; MAPSPRO-1090; MAPSPRO-1091

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Mon, 23 Sep 2013 21:30:40 +0400

yandex-maps-wiki-tasks-export (1.11.1-0) unstable; urgency=low

  * fixed export service objects
  * reduced celeryd concurrency for export to 1

 -- Alexey Ponomarev <ponomarev@yandex-team.ru>  Wed, 11 Sep 2013 16:35:45 +0400

yandex-maps-wiki-tasks-export (1.11.0-0) unstable; urgency=low

  * use tmp dir for intermediate files, archive into result dir (which is on gluster), MAPSPRO-1001

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Tue, 20 Aug 2013 21:22:39 +0400

yandex-maps-wiki-tasks-export (1.10.0-0) unstable; urgency=low

 * call new json2ymapsdf2 that supports split json

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Fri, 16 Aug 2013 19:00:50 +0400

yandex-maps-wiki-tasks-export (1.9.0-0) unstable; urgency=low

 * reworked configs for export task

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Fri, 16 Aug 2013 15:53:37 +0400

yandex-maps-wiki-tasks-export (1.8.0-0) unstable; urgency=low

* multithreaded export to json by category groups, multiple json files

 -- Vladimir Krasovsky <vkrasovsky@yandex-team.ru>  Tue, 13 Aug 2013 18:46:02 +0400

yandex-maps-wiki-tasks-export (1.7.0-0) unstable; urgency=low

  * Using new RevisionGateway interface

 -- Andrey Bugaevskiy <bugaevskiy@yandex-team.ru>  Thu, 25 Jul 2013 13:02:13 +0400

yandex-maps-wiki-tasks-export (1.6.2-0) unstable; urgency=low

  * tear down ymapsdf 1.0

 -- Alexey Ponomarev <ponomarev@yandex-team.ru>  Fri, 05 Jul 2013 19:35:44 +0400

yandex-maps-wiki-tasks-export (1.6.1-0) unstable; urgency=low

  * support branches in export

 -- Alexey Ponomarev <ponomarev@yandex-team.ru>  Tue, 11 Jun 2013 15:24:11 +0400

yandex-maps-wiki-tasks-export (1.6.0-0) unstable; urgency=low

  * branch id in tasks context
  * add text dump generation tool

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Mon, 13 May 2013 19:59:29 +0400

yandex-maps-wiki-tasks-export (1.5.1-0) unstable; urgency=low

  * temporarily show branch=trunk in context

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Tue, 26 Mar 2013 18:56:21 +0400

yandex-maps-wiki-tasks-export (1.5.0-0) unstable; urgency=low

  * remove branch param from longtasks
  * remove debug

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Tue, 26 Mar 2013 17:07:36 +0400

yandex-maps-wiki-tasks-export (1.4.0-0) unstable; urgency=low

  * integrate json2ymapsdf2 into long tasks

 -- Sergey Anohovsky <anohovsky@yandex-team.ru>  Mon, 18 Mar 2013 14:22:10 +0400

yandex-maps-wiki-tasks-export (1.3.2-0) unstable; urgency=low

  * common task logging

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Thu, 07 Feb 2013 23:25:03 +0400

yandex-maps-wiki-tasks-export (1.3.1-0) unstable; urgency=low

  * fix celeryapp variable name; pyflakes

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Thu, 17 Jan 2013 22:05:54 +0400

yandex-maps-wiki-tasks-export (1.3.0-0) unstable; urgency=low

  * add conflicts with old packages
  * reorganize task workers start

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Mon, 14 Jan 2013 15:40:59 +0400

libyandex-maps-wiki-tasks-export-python (1.2.4-0) unstable; urgency=low

  * use ConnParams

 -- Alexey Zatelepin <ztlpn@yandex-team.ru>  Thu, 20 Dec 2012 20:02:50 +0400

libyandex-maps-wiki-tasks-export-python (1.2.3-0) unstable; urgency=low

  * add default attributes values

 -- Sergey Anohovsky <anohovsky@yandex-team.ru>  Mon, 17 Dec 2012 13:31:30 +0400

libyandex-maps-wiki-tasks-export-python (1.2.2-0) unstable; urgency=low

  * add master config for revisionapi tool

 -- Sergey Anohovsky <anohovsky@yandex-team.ru>  Fri, 14 Dec 2012 18:45:38 +0400

libyandex-maps-wiki-tasks-export-python (1.2.1-0) unstable; urgency=low

  * fix mpro import/export Makefiles

 -- Sergey Anohovsky <anohovsky@yandex-team.ru>  Fri, 14 Dec 2012 16:53:15 +0400

libyandex-maps-wiki-tasks-export-python (1.2.0-0) unstable; urgency=low

  * remove export impl from yandex.maps.wiki lib 

 -- Sergey Anohovsky <anohovsky@yandex-team.ru>  Thu, 13 Dec 2012 19:47:05 +0400

libyandex-maps-wiki-tasks-export-python (1.1.0-0) unstable; urgency=low

  * export of service objects

 -- Sergey Anohovsky <anohovsky@yandex-team.ru>  Mon, 10 Dec 2012 07:59:15 +0400

libyandex-maps-wiki-tasks-export-python (1.0.0-0) unstable; urgency=low

  * add log to tasks model

 -- Sergey Anohovsky <anohovsky@yandex-team.ru>  Tue, 06 Nov 2012 13:02:49 +0400

libyandex-maps-wiki-tasks-export-python (0.1.5-0) unstable; urgency=low

  * fix call revisionapi.headCommitId

 -- Sergey Anohovsky <anohovsky@yandex-team.ru>  Tue, 09 Oct 2012 17:09:29 +0400

libyandex-maps-wiki-tasks-export-python (0.1.4-0) unstable; urgency=low

  * support new revisoinapi-tool api 

 -- Sergey Anohovsky <anohovsky@yandex-team.ru>  Mon, 08 Oct 2012 16:59:57 +0400

libyandex-maps-wiki-tasks-export-python (0.1.3-0) unstable; urgency=low

  * use local replica

 -- Sergey Anohovsky <anohovsky@yandex-team.ru>  Thu, 04 Oct 2012 13:40:14 +0400

libyandex-maps-wiki-tasks-export-python (0.1.2-0) unstable; urgency=low

  * add context to brief result

 -- Sergey Anohovsky <anohovsky@yandex-team.ru>  Wed, 26 Sep 2012 18:27:42 +0400

libyandex-maps-wiki-tasks-export-python (0.0.1-0) unstable; urgency=low

  * different queues for export and validation tasks

 -- Sergey Anohovsky <anohovsky@yandex-team.ru>  Tue, 25 Sep 2012 19:41:46 +0400

libyandex-maps-wiki-tasks-export-python (0.0.0-0) unstable; urgency=low

  * Initial release.

 -- Sergey Anohovsky <anohovsky@yandex-team.ru>  Tue, 25 Sep 2012 12:52:19 +0400
